## yojson 1.0.2

=== Makefile ===
# $Id: Makefile 64 2011-04-28 00:12:54Z mjambon $

VERSION = 1.0.2

FLAGS = -dtypes
PACKS = easy-format,biniou

.PHONY: default all opt install doc
default: META all opt
all: yojson.cmo
opt: yojson.cmx ydump

ifndef PREFIX
  PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
  export PREFIX
endif

ifndef BINDIR
  BINDIR = $(PREFIX)/bin
  export BINDIR
endif

META: META.in Makefile
	sed -e 's:@@VERSION@@:$(VERSION):' META.in > META

install: META
	test ! -f ydump || cp ydump $(BINDIR)/
	test ! -f ydump.exe || cp ydump.exe $(BINDIR)/
	ocamlfind install yojson META \
          $$(ls yojson.mli yojson.cmi yojson.cmo yojson.cmx yojson.o)

uninstall:
	test ! -f $(BINDIR)/ydump || rm $(BINDIR)/ydump
	test ! -f $(BINDIR)/ydump.exe || rm $(BINDIR)/ydump.exe 
	ocamlfind remove yojson

read.ml: read.mll
	ocamllex read.mll

yojson.mli: yojson.mli.cppo \
            common.mli type.ml write.mli pretty.mli write2.mli read.mli \
            biniou.mli
	cppo -n yojson.mli.cppo -o yojson.mli

yojson.ml: yojson.ml.cppo \
           common.ml type.ml write.ml pretty.ml write2.ml read.ml \
           biniou.ml
	cppo yojson.ml.cppo -o yojson.ml

yojson.cmi: yojson.mli
	ocamlfind ocamlc -c $(FLAGS) -package $(PACKS) yojson.mli

yojson.cmo: yojson.cmi yojson.ml
	ocamlfind ocamlc -c $(FLAGS) -package $(PACKS) yojson.ml

yojson.cmx: yojson.cmi yojson.ml
	ocamlfind ocamlopt -c $(FLAGS) -package $(PACKS) yojson.ml

ydump: yojson.cmx ydump.ml
	ocamlfind ocamlopt -o ydump -package $(PACKS) -linkpkg \
		yojson.cmx ydump.ml

doc: doc/index.html
doc/index.html: yojson.mli
	mkdir -p doc
	ocamlfind ocamldoc -d doc -html -package biniou yojson.mli

bench: bench.ml yojson.cmx META
	ocamlfind ocamlopt -o bench \
		-package unix,yojson,json-wheel -linkpkg bench.ml

.PHONY: clean

clean:
	rm -f *.o *.a *.cm* *~ *.annot ydump ydump.exe \
		read.ml yojson.mli yojson.ml META
	rm -rf doc

SUBDIRS = 
SVNURL = svn://scm.ocamlcore.org/svn/yojson/trunk/yojson

.PHONY: archive
archive:
	@echo "Making archive for version $(VERSION)"
	@if [ -z "$$WWW" ]; then \
		echo '*** Environment variable WWW is undefined ***' >&2; \
		exit 1; \
	fi
	@if [ -n "$$(svn status -q)" ]; then \
		echo "*** There are uncommitted changes, aborting. ***" >&2; \
		exit 1; \
	fi
	$(MAKE) && ./ydump -help > $$WWW/ydump-help.txt
	mkdir -p $$WWW/yojson-doc
	$(MAKE) doc && cp doc/* $$WWW/yojson-doc/
	rm -rf /tmp/yojson /tmp/yojson-$(VERSION) && \
		cd /tmp && \
		svn co "$(SVNURL)" && \
		for x in "." $(SUBDIRS); do \
			rm -rf /tmp/yojson/$$x/.svn; \
		done && \
		cd /tmp && cp -r yojson yojson-$(VERSION) && \
		tar czf yojson.tar.gz yojson && \
		tar cjf yojson.tar.bz2 yojson && \
		tar czf yojson-$(VERSION).tar.gz yojson-$(VERSION) && \
		tar cjf yojson-$(VERSION).tar.bz2 yojson-$(VERSION)
	mv /tmp/yojson.tar.gz /tmp/yojson.tar.bz2 ../releases
	mv /tmp/yojson-$(VERSION).tar.gz \
		/tmp/yojson-$(VERSION).tar.bz2 ../releases
	cp ../releases/yojson.tar.gz $$WWW/
	cp ../releases/yojson.tar.bz2 $$WWW/
	cp ../releases/yojson-$(VERSION).tar.gz $$WWW/
	cp ../releases/yojson-$(VERSION).tar.bz2 $$WWW/
	cd ../releases && \
		svn add yojson.tar.gz yojson.tar.bz2 \
			yojson-$(VERSION).tar.gz yojson-$(VERSION).tar.bz2 && \
		svn commit -m "yojson version $(VERSION)"
	cp LICENSE $$WWW/yojson-license.txt
	cp Changes $$WWW/yojson-changes.txt
	echo 'let yojson_version = "$(VERSION)"' \
		> $$WWW/yojson-version.ml

=== debian/changelog ===
yojson (1.0.2-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 23:41:54 +0000

yojson (1.0.2-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:45:07 -0600

yojson (1.0.2-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Jul 2011 00:35:05 +0200

yojson (0.8.1-1) unstable; urgency=low

  * Initial release. (Closes: #605681)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 05 Dec 2010 00:41:55 +0100

## yojson 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
-# $Id: Makefile 64 2011-04-28 00:12:54Z mjambon $
-
-VERSION = 1.0.2
+VERSION = 1.0.3
 
 FLAGS = -dtypes
 PACKS = easy-format,biniou
@@ -38,12 +36,12 @@
 	ocamllex read.mll
 
 yojson.mli: yojson.mli.cppo \
-            common.mli type.ml write.mli pretty.mli write2.mli read.mli \
-            biniou.mli
+            common.mli type.ml safe.mli write.mli pretty.mli write2.mli \
+            read.mli biniou.mli
 	cppo -n yojson.mli.cppo -o yojson.mli
 
 yojson.ml: yojson.ml.cppo \
-           common.ml type.ml write.ml pretty.ml write2.ml read.ml \
+           common.ml type.ml safe.ml write.ml pretty.ml write2.ml read.ml \
            biniou.ml
 	cppo yojson.ml.cppo -o yojson.ml
 
@@ -76,17 +74,16 @@
 		read.ml yojson.mli yojson.ml META
 	rm -rf doc
 
-SUBDIRS = 
-SVNURL = svn://scm.ocamlcore.org/svn/yojson/trunk/yojson
+GITURL = git@github.com:mjambon/yojson.git
 
 .PHONY: archive
 archive:
 	@echo "Making archive for version $(VERSION)"
 	@if [ -z "$$WWW" ]; then \
-		echo '*** Environment variable WWW is undefined ***' >&2; \
+		echo '*** Environment variable WWW is undefined. ***' >&2; \
 		exit 1; \
 	fi
-	@if [ -n "$$(svn status -q)" ]; then \
+	@if [ -n "$$(git diff)" ]; then \
 		echo "*** There are uncommitted changes, aborting. ***" >&2; \
 		exit 1; \
 	fi
@@ -95,26 +92,16 @@
 	$(MAKE) doc && cp doc/* $$WWW/yojson-doc/
 	rm -rf /tmp/yojson /tmp/yojson-$(VERSION) && \
 		cd /tmp && \
-		svn co "$(SVNURL)" && \
-		for x in "." $(SUBDIRS); do \
-			rm -rf /tmp/yojson/$$x/.svn; \
-		done && \
+		git clone $(GITURL) && \
+		rm -rf /tmp/yojson/$$x/.git && \
 		cd /tmp && cp -r yojson yojson-$(VERSION) && \
 		tar czf yojson.tar.gz yojson && \
 		tar cjf yojson.tar.bz2 yojson && \
 		tar czf yojson-$(VERSION).tar.gz yojson-$(VERSION) && \
 		tar cjf yojson-$(VERSION).tar.bz2 yojson-$(VERSION)
-	mv /tmp/yojson.tar.gz /tmp/yojson.tar.bz2 ../releases
+	mv /tmp/yojson.tar.gz /tmp/yojson.tar.bz2 $$WWW/
 	mv /tmp/yojson-$(VERSION).tar.gz \
-		/tmp/yojson-$(VERSION).tar.bz2 ../releases
-	cp ../releases/yojson.tar.gz $$WWW/
-	cp ../releases/yojson.tar.bz2 $$WWW/
-	cp ../releases/yojson-$(VERSION).tar.gz $$WWW/
-	cp ../releases/yojson-$(VERSION).tar.bz2 $$WWW/
-	cd ../releases && \
-		svn add yojson.tar.gz yojson.tar.bz2 \
-			yojson-$(VERSION).tar.gz yojson-$(VERSION).tar.bz2 && \
-		svn commit -m "yojson version $(VERSION)"
+		/tmp/yojson-$(VERSION).tar.bz2 $$WWW/
 	cp LICENSE $$WWW/yojson-license.txt
 	cp Changes $$WWW/yojson-changes.txt
 	echo 'let yojson_version = "$(VERSION)"' \

=== debian/changelog ===
yojson (1.0.3-1) unstable; urgency=low

  * Team upload
  * New upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 03 Jan 2012 17:29:20 +0100

=== debian/control ===
Source: yojson
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  libeasy-format-ocaml-dev,
  cppo,
  libbiniou-ocaml-dev (>= 1.0.0)
Standards-Version: 3.9.2
Homepage: http://martin.jambon.free.fr/yojson.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/yojson.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/yojson.git

Package: libyojson-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: JSON library for OCaml
 Yojson is an optimized parsing and printing library for the JSON format.
 It addresses a few shortcomings of json-wheel including 3x speed
 improvement, polymorphic variants and optional syntax for tuples and
 variants.
 .
 It is a replacement for json-wheel (libjson-wheel-ocaml-dev).

Package: libyojson-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: JSON library for OCaml
 Yojson is an optimized parsing and printing library for the JSON format.
 It addresses a few shortcomings of json-wheel including 3x speed
 improvement, polymorphic variants and optional syntax for tuples and
 variants.
 .
 It is a replacement for json-wheel (libjson-wheel-ocaml-dev).
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE)
else
	$(MAKE) all META ydump.byte
endif 
	$(MAKE) doc

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'BINDIR=$(DESTDIR)/usr/bin'

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean

debian/ydump.1: debian/ydump.mkd
	pandoc -s -w man $^ -o $@

=== debian/watch ===
version=3
http://martin.jambon.free.fr/yojson.html yojson-([\d\.]*)\.tar\.gz

## yojson 1.1.7

=== Makefile ===
VERSION = 1.1.7

ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
EXE=.exe
else
EXE=
endif


FLAGS = -dtypes -g
CMO = yojson.cmo yojson_biniou.cmo
CMX = yojson.cmx yojson_biniou.cmx
PACKS = easy-format,biniou

.PHONY: default all opt install uninstall reinstall doc install-doc
default: META all opt
all: $(CMO)
opt: $(CMX) ydump$(EXE)

ifndef PREFIX
  PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
  export PREFIX
endif

ifndef BINDIR
  BINDIR = $(PREFIX)/bin
  export BINDIR
endif

META: META.in Makefile
	sed -e 's:@@VERSION@@:$(VERSION):' META.in > META

install: META
	test ! -f ydump || cp ydump $(BINDIR)/
	test ! -f ydump.exe || cp ydump.exe $(BINDIR)/
	ocamlfind install yojson META \
          $$(ls yojson.mli yojson_biniou.mli \
		yojson.cmi yojson_biniou.cmi \
		$(CMO) $(CMX) \
		yojson.o yojson_biniou.o)

uninstall:
	test ! -f $(BINDIR)/ydump || rm $(BINDIR)/ydump
	test ! -f $(BINDIR)/ydump.exe || rm $(BINDIR)/ydump.exe 
	ocamlfind remove yojson

reinstall:
	$(MAKE) BINDIR=$(BINDIR) uninstall
	$(MAKE) BINDIR=$(BINDIR) install

read.ml: read.mll
	ocamllex read.mll

yojson.mli: yojson.mli.cppo \
            common.mli type.ml safe.mli write.mli pretty.mli write2.mli \
            read.mli util.mli
	cppo -n yojson.mli.cppo -o yojson.mli

yojson.ml: yojson.ml.cppo \
           common.ml type.ml safe.ml write.ml pretty.ml write2.ml \
           read.ml util.ml
	cppo -D "VERSION $(VERSION)" yojson.ml.cppo -o yojson.ml

yojson.cmi: yojson.mli
	ocamlfind ocamlc -c $(FLAGS) -package $(PACKS) yojson.mli

yojson.cmo: yojson.cmi yojson.ml
	ocamlfind ocamlc -c $(FLAGS) -package $(PACKS) yojson.ml

yojson.cmx: yojson.cmi yojson.ml
	ocamlfind ocamlopt -c $(FLAGS) -package $(PACKS) yojson.ml

yojson_biniou.cmi: yojson_biniou.mli
	ocamlfind ocamlc -c $(FLAGS) -package $(PACKS) yojson_biniou.mli

yojson_biniou.cmo: yojson_biniou.cmi yojson_biniou.ml
	ocamlfind ocamlc -c $(FLAGS) -package $(PACKS) yojson_biniou.ml

yojson_biniou.cmx: yojson_biniou.cmi yojson_biniou.ml
	ocamlfind ocamlopt -c $(FLAGS) -package $(PACKS) yojson_biniou.ml

ydump$(EXE): yojson.cmx yojson_biniou.cmx ydump.ml
	ocamlfind ocamlopt -o ydump$(EXE) $(FLAGS) -package $(PACKS) -linkpkg \
		$(CMX) ydump.ml

doc: doc/index.html
doc/index.html: yojson.mli yojson_biniou.mli
	mkdir -p doc
	ocamlfind ocamldoc -d doc -html -package biniou \
		yojson.mli yojson_biniou.mli

install-doc:
	cp doc/* $$WWW/yojson-doc/

bench: bench.ml yojson.cmx META
	ocamlfind ocamlopt -o bench \
		-package unix,yojson,json-wheel -linkpkg bench.ml

.PHONY: clean

clean:
	rm -f *.o *.a *.cm* *~ *.annot ydump ydump.exe \
		read.ml yojson.mli yojson.ml META
	rm -rf doc
	cd examples; $(MAKE) clean

=== debian/changelog ===
yojson (1.1.7-1build1) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Jul 2013 00:48:16 +0100

yojson (1.1.7-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * updated watch
  * new upstream version
  * add myself as uploader
  * renamed and adapt patch
  * bump debhelper compat level and standards version
  * update homepage, Vcs fields, package description and dependencies
  * update copyright
  * install api doc in /usr/share/doc/..../api/html
  * update man page

 -- Hendrik Tews <hendrik@askra.de>  Fri, 14 Jun 2013 10:14:02 +0200

=== debian/control ===
Source: yojson
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-best-compilers,
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9),
  libeasy-format-ocaml-dev,
  cppo,
  libbiniou-ocaml-dev (>= 1.0.6)
Standards-Version: 3.9.4
Homepage: http://mjambon.com/yojson.html
Vcs-Git: git://anonvcs.debian.org/pkg-ocaml-maint/packages/yojson.git
Vcs-Browser: http://anonvcs.debian.org/gitweb/?p=pkg-ocaml-maint/packages/yojson.git

Package: libyojson-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: JSON library for OCaml - development package
 Yojson is an optimized parsing and printing library for the JSON format.
 It addresses a few shortcomings of json-wheel including 3x speed
 improvement, polymorphic variants and optional syntax for tuples and
 variants.
 .
 It is a replacement for json-wheel (libjson-wheel-ocaml-dev).
 .
 This package contain the development files needed for programming
 with the library.

Package: libyojson-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: JSON library for OCaml - runtime package
 Yojson is an optimized parsing and printing library for the JSON format.
 It addresses a few shortcomings of json-wheel including 3x speed
 improvement, polymorphic variants and optional syntax for tuples and
 variants.
 .
 It is a replacement for json-wheel (libjson-wheel-ocaml-dev).
 .
 This package contains the shared runtime libraries.

## yojson 1.1.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.1.7
+VERSION = 1.1.8
 
 ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
 EXE=.exe
@@ -7,15 +7,20 @@
 endif
 
 
+NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)
+
 FLAGS = -dtypes -g
 CMO = yojson.cmo yojson_biniou.cmo
 CMX = yojson.cmx yojson_biniou.cmx
+ifeq "${NATDYNLINK}" "YES"
+CMXS = yojson.cmxs yojson_biniou.cmxs
+endif
 PACKS = easy-format,biniou
 
 .PHONY: default all opt install uninstall reinstall doc install-doc
 default: META all opt
 all: $(CMO)
-opt: $(CMX) ydump$(EXE)
+opt: $(CMX) $(CMXS) ydump$(EXE)
 
 ifndef PREFIX
   PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
@@ -36,12 +41,12 @@
 	ocamlfind install yojson META \
           $$(ls yojson.mli yojson_biniou.mli \
 		yojson.cmi yojson_biniou.cmi \
-		$(CMO) $(CMX) \
+		$(CMO) $(CMX) $(CMXS) \
 		yojson.o yojson_biniou.o)
 
 uninstall:
 	test ! -f $(BINDIR)/ydump || rm $(BINDIR)/ydump
-	test ! -f $(BINDIR)/ydump.exe || rm $(BINDIR)/ydump.exe 
+	test ! -f $(BINDIR)/ydump.exe || rm $(BINDIR)/ydump.exe
 	ocamlfind remove yojson
 
 reinstall:
@@ -70,6 +75,9 @@
 yojson.cmx: yojson.cmi yojson.ml
 	ocamlfind ocamlopt -c $(FLAGS) -package $(PACKS) yojson.ml
 
+yojson.cmxs: yojson.cmx
+	ocamlopt -shared -linkall -I . -o yojson.cmxs yojson.cmx
+
 yojson_biniou.cmi: yojson_biniou.mli
 	ocamlfind ocamlc -c $(FLAGS) -package $(PACKS) yojson_biniou.mli
 
@@ -78,6 +86,9 @@
 
 yojson_biniou.cmx: yojson_biniou.cmi yojson_biniou.ml
 	ocamlfind ocamlopt -c $(FLAGS) -package $(PACKS) yojson_biniou.ml
+
+yojson_biniou.cmxs: yojson_biniou.cmx
+	ocamlopt -shared -linkall -I . -o yojson_biniou.cmxs yojson_biniou.cmx
 
 ydump$(EXE): yojson.cmx yojson_biniou.cmx ydump.ml
 	ocamlfind ocamlopt -o ydump$(EXE) $(FLAGS) -package $(PACKS) -linkpkg \

=== examples/Makefile ===
.PHONY: default
default:
	./run-examples.sh

clean:
	rm -f *.o *.a *.cm* *~ *.annot filtering

=== debian/changelog ===
yojson (1.1.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Sat, 01 Feb 2014 11:15:49 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   libeasy-format-ocaml-dev,
   cppo,
   libbiniou-ocaml-dev (>= 1.0.6)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mjambon.com/yojson.html
 Vcs-Git: git://anonvcs.debian.org/pkg-ocaml-maint/packages/yojson.git
 Vcs-Browser: http://anonvcs.debian.org/gitweb/?p=pkg-ocaml-maint/packages/yojson.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF


%:
	dh $@ --with ocaml


.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE)
else
	$(MAKE) all META ydump.byte
endif 
	$(MAKE) doc


.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'BINDIR=$(DESTDIR)/usr/bin'


.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing


.PHONY: override_dh_installdocs
override_dh_installdocs:
	mkdir api
	mv doc api/html
	dh_installdocs

=== debian/watch ===
version=3
http://mjambon.com/releases/yojson/yojson-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## yojson 1.2.3

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
-VERSION = 1.1.8
+VERSION = 1.2.3
 
-ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
+ifeq "$(shell ocamlfind ocamlc -config |grep os_type)" "os_type: Win32"
 EXE=.exe
 else
 EXE=
 endif
 
 
-NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)
+NATDYNLINK := $(shell if [ -f `ocamlfind ocamlc -where`/dynlink.cmxa ]; \
+                      then echo YES; else echo NO; fi)
 
 FLAGS = -dtypes -g
 CMO = yojson.cmo yojson_biniou.cmo
@@ -17,7 +18,8 @@
 endif
 PACKS = easy-format,biniou
 
-.PHONY: default all opt install uninstall reinstall doc install-doc
+.PHONY: default all opt install uninstall install-lib uninstall-lib \
+        reinstall doc install-doc
 default: META all opt
 all: $(CMO)
 opt: $(CMX) $(CMXS) ydump$(EXE)
@@ -35,18 +37,22 @@
 META: META.in Makefile
 	sed -e 's:@@VERSION@@:$(VERSION):' META.in > META
 
-install: META
+install: META install-lib
 	test ! -f ydump || cp ydump $(BINDIR)/
 	test ! -f ydump.exe || cp ydump.exe $(BINDIR)/
+
+install-lib:
 	ocamlfind install yojson META \
           $$(ls yojson.mli yojson_biniou.mli \
 		yojson.cmi yojson_biniou.cmi \
 		$(CMO) $(CMX) $(CMXS) \
 		yojson.o yojson_biniou.o)
 
-uninstall:
+uninstall: uninstall-lib
 	test ! -f $(BINDIR)/ydump || rm $(BINDIR)/ydump
 	test ! -f $(BINDIR)/ydump.exe || rm $(BINDIR)/ydump.exe
+
+uninstall-lib:
 	ocamlfind remove yojson
 
 reinstall:
@@ -76,7 +82,7 @@
 	ocamlfind ocamlopt -c $(FLAGS) -package $(PACKS) yojson.ml
 
 yojson.cmxs: yojson.cmx
-	ocamlopt -shared -linkall -I . -o yojson.cmxs yojson.cmx
+	ocamlfind ocamlopt -shared -linkall -I . -o yojson.cmxs yojson.cmx
 
 yojson_biniou.cmi: yojson_biniou.mli
 	ocamlfind ocamlc -c $(FLAGS) -package $(PACKS) yojson_biniou.mli
@@ -88,7 +94,8 @@
 	ocamlfind ocamlopt -c $(FLAGS) -package $(PACKS) yojson_biniou.ml
 
 yojson_biniou.cmxs: yojson_biniou.cmx
-	ocamlopt -shared -linkall -I . -o yojson_biniou.cmxs yojson_biniou.cmx
+	ocamlfind ocamlopt -shared -linkall -I . -o yojson_biniou.cmxs \
+		yojson_biniou.cmx
 
 ydump$(EXE): yojson.cmx yojson_biniou.cmx ydump.ml
 	ocamlfind ocamlopt -o ydump$(EXE) $(FLAGS) -package $(PACKS) -linkpkg \

=== debian/changelog ===
yojson (1.2.3-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 11:36:17 -0600

yojson (1.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Sep 2015 12:00:46 +0200

yojson (1.1.8-2) unstable; urgency=medium

  * Team upload
  * Fix Vcs-* URLs
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Aug 2015 20:21:27 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
   libeasy-format-ocaml-dev,
   cppo,
   libbiniou-ocaml-dev (>= 1.0.6)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mjambon.com/yojson.html
-Vcs-Git: git://anonvcs.debian.org/pkg-ocaml-maint/packages/yojson.git
-Vcs-Browser: http://anonvcs.debian.org/gitweb/?p=pkg-ocaml-maint/packages/yojson.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/yojson.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/yojson.git
 
 Package: libyojson-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
https://github.com/mjambon/yojson/tags .*/v(\d\S*)\.tar\.gz

## yojson 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,11 @@
-VERSION = 1.2.3
+include $(shell ocamlc -where)/Makefile.config
 
-ifeq "$(shell ocamlfind ocamlc -config |grep os_type)" "os_type: Win32"
-EXE=.exe
-else
-EXE=
-endif
+VERSION = 1.3.2
 
-
-NATDYNLINK := $(shell if [ -f `ocamlfind ocamlc -where`/dynlink.cmxa ]; \
-                      then echo YES; else echo NO; fi)
-
-FLAGS = -dtypes -g
+FLAGS = -bin-annot -dtypes -g
 CMO = yojson.cmo yojson_biniou.cmo
 CMX = yojson.cmx yojson_biniou.cmx
-ifeq "${NATDYNLINK}" "YES"
+ifeq ($(NATDYNLINK),true)
 CMXS = yojson.cmxs yojson_biniou.cmxs
 endif
 PACKS = easy-format,biniou
@@ -38,19 +30,16 @@
 	sed -e 's:@@VERSION@@:$(VERSION):' META.in > META
 
 install: META install-lib
-	test ! -f ydump || cp ydump $(BINDIR)/
-	test ! -f ydump.exe || cp ydump.exe $(BINDIR)/
+	test ! -f ydump$(EXE) || cp ydump $(BINDIR)/
 
 install-lib:
 	ocamlfind install yojson META \
-          $$(ls yojson.mli yojson_biniou.mli \
-		yojson.cmi yojson_biniou.cmi \
-		$(CMO) $(CMX) $(CMXS) \
-		yojson.o yojson_biniou.o)
+	  $(wildcard *.cmt) $(wildcard *.cmti) $(wildcard *.mli) \
+	  $(wildcard *.cmi) $(wildcard *$(EXT_LIB)) $(wildcard *.cmo) \
+	  $(wildcard *$(EXT_OBJ)) $(wildcard *.cmx) $(wildcard *.cmxs)
 
 uninstall: uninstall-lib
-	test ! -f $(BINDIR)/ydump || rm $(BINDIR)/ydump
-	test ! -f $(BINDIR)/ydump.exe || rm $(BINDIR)/ydump.exe
+	test ! -f $(BINDIR)/ydump$(EXE) || rm $(BINDIR)/ydump$(EXE)
 
 uninstall-lib:
 	ocamlfind remove yojson
@@ -117,7 +106,7 @@
 .PHONY: clean
 
 clean:
-	rm -f *.o *.a *.cm* *~ *.annot ydump ydump.exe \
+	rm -f *.o *.a *.cm* *~ *.annot ydump$(EXE) \
 		read.ml yojson.mli yojson.ml META
 	rm -rf doc
 	cd examples; $(MAKE) clean

=== debian/changelog ===
yojson (1.3.2-1build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:04:16 +0200

yojson (1.3.2-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 13:33:35 +0100

yojson (1.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.8
  * Fix Vcs-Git

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Jun 2016 11:52:20 +0200

yojson (1.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Wed, 27 Jan 2016 17:40:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yojson
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
@@ -12,10 +13,10 @@
   libeasy-format-ocaml-dev,
   cppo,
   libbiniou-ocaml-dev (>= 1.0.6)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://mjambon.com/yojson.html
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/yojson.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/yojson.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/yojson.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/yojson.git
 
 Package: libyojson-ocaml-dev
 Architecture: any

## yojson 1.7.0

=== Makefile ===
.PHONY: all
all:
	@dune build @install @examples

.PHONY: run-examples
run-examples:
	dune exec examples/filtering.exe < examples/filtering.json

.PHONY: install
install:
	@dune install

.PHONY: uninstall
uninstall:
	@dune uninstall

.PHONY: bench
bench:
	@dune build @bench --force

.PHONY: clean
clean:
	@dune clean

.PHONY: test
test:
	@dune runtest --force

=== debian/changelog ===
yojson (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0
  * Remove Hendrik from Uploaders
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Aug 2019 12:54:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: yojson
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Hendrik Tews <hendrik@askra.de>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
+  ocaml-dune,
   ocaml-nox (>= 3.11.1-3~),
   ocaml-best-compilers,
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
-  debhelper (>= 9),
+  debhelper (>= 12),
   libeasy-format-ocaml-dev,
   cppo,
   libbiniou-ocaml-dev (>= 1.0.6)
-Standards-Version: 3.9.8
-Homepage: http://mjambon.com/yojson.html
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/yojson.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/yojson.git
+Standards-Version: 4.4.0
+Homepage: https://github.com/ocaml-community/yojson
+Vcs-Git: https://salsa.debian.org/ocaml-team/yojson.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/yojson
 
 Package: libyojson-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF


%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p yojson

override_dh_auto_test:
# needs alcotest which is not in Debian

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/yojson/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

## yojson 2.0.2

=== debian/changelog ===
yojson (2.0.2-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 23 Oct 2022 22:04:46 +0200

yojson (2.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Declare d/rules doesn't require root.
  * Switch from d/compat to b-dep on debhelper-compat and level 13.
  * Bump standards-version to 4.6.1.
  * Add myself to uploaders (Closes: #934714).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 12 Aug 2022 12:42:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Julien Puydt <jpuydt@debian.org>
 Build-Depends:
+  debhelper-compat (= 13),
   ocaml-dune,
   ocaml-nox (>= 3.11.1-3~),
   ocaml-best-compilers,
@@ -12,7 +14,8 @@
   libeasy-format-ocaml-dev,
   cppo,
   libbiniou-ocaml-dev (>= 1.0.6)
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/yojson
 Vcs-Git: https://salsa.debian.org/ocaml-team/yojson.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/yojson

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 override_dh_auto_build:
 	dune build -p yojson
+	touch _build/default/yojson-bench.install
 
 override_dh_auto_test:
 # needs alcotest which is not in Debian

=== debian/watch ===
version=3
https://github.com/ocaml-community/yojson/releases .*/v?(\d\S*)\.tar\.gz

## yojson 2.1.0

=== debian/changelog ===
yojson (2.1.0-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:33:53 +0200

yojson (2.1.0-1) unstable; urgency=medium

  * Fix d/watch.
  * New upstream release.
  * Bump standards-version to 4.6.2
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 14:18:28 +0200

## yojson 2.1.2

=== debian/changelog ===
yojson (2.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 14 Dec 2023 07:12:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Build-Depends:
   debhelper-compat (= 13),
   ocaml-dune,
-  ocaml-nox (>= 3.11.1-3~),
+  ocaml,
   ocaml-best-compilers,
   ocaml-findlib,
-  dh-ocaml (>= 0.9~),
+  dh-ocaml (>= 1.2),
   debhelper (>= 12),
   libeasy-format-ocaml-dev,
   cppo,
+  libalcotest-ocaml-dev <!nocheck>,
   libbiniou-ocaml-dev (>= 1.0.6)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/yojson
 Vcs-Git: https://salsa.debian.org/ocaml-team/yojson.git

=== debian/watch ===
version=4
https://github.com/ocaml-community/yojson/tags .*/v?(\d\S*)\.tar\.gz

## yojson 2.2.1

=== debian/changelog ===
yojson (2.2.1-2) unstable; urgency=medium

  * Add missing Breaks+Replaces for the new package (Closes: #1073162)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 16 Jun 2024 18:04:03 +0200

yojson (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0
  * Move tools to their own package (Closes: #877356)

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Jun 2024 09:06:37 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
   cppo,
   libalcotest-ocaml-dev <!nocheck>,
   libbiniou-ocaml-dev (>= 1.0.6)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/yojson
 Vcs-Git: https://salsa.debian.org/ocaml-team/yojson.git
@@ -51,3 +51,19 @@
  It is a replacement for json-wheel (libjson-wheel-ocaml-dev).
  .
  This package contains the shared runtime libraries.
+
+Package: yojson-tools
+Architecture: any
+Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Breaks: libyojson-ocaml-dev (<< 2.2)
+Replaces: libyojson-ocaml-dev (<< 2.2)
+Description: JSON library for OCaml - tools
+ Yojson is an optimized parsing and printing library for the JSON format.
+ It addresses a few shortcomings of json-wheel including 3x speed
+ improvement, polymorphic variants and optional syntax for tuples and
+ variants.
+ .
+ It is a replacement for json-wheel (libjson-wheel-ocaml-dev).
+ .
+ This package contains the tools.
+

## yojson 2.2.2

=== debian/changelog ===
yojson (2.2.2-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:24:40 +0200

yojson (2.2.2-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:26:20 +0100

yojson (2.2.2-1) unstable; urgency=medium

  * Drop the cppo dependency
  * New upstrea release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Sep 2024 20:09:57 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
   dh-ocaml (>= 1.2),
   debhelper (>= 12),
   libeasy-format-ocaml-dev,
-  cppo,
   libalcotest-ocaml-dev <!nocheck>,
   libbiniou-ocaml-dev (>= 1.0.6)
 Standards-Version: 4.7.0

## yojson 3.0.0

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,11 @@
 
 .PHONY: bench
 bench:
+	@dune build --display=quiet @bench-generic-sexp --force
+	@dune build --display=quiet @bench-buffer-sexp --force
+
+.PHONY: bench-local
+bench-local:
 	@dune build @bench --force
 
 .PHONY: clean

=== debian/changelog ===
yojson (3.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * Add myself to Uploaders
  * Bump Standards-Version to 4.7.3
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Jan 2026 10:54:36 +0100

yojson (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 18 Oct 2025 22:40:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Julien Puydt <jpuydt@debian.org>
+Uploaders:
+ Julien Puydt <jpuydt@debian.org>,
+ Stéphane Glondu <glondu@debian.org>,
 Build-Depends:
   debhelper-compat (= 13),
   ocaml-dune,
@@ -14,8 +16,7 @@
   libeasy-format-ocaml-dev,
   libalcotest-ocaml-dev <!nocheck>,
   libbiniou-ocaml-dev (>= 1.0.6)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/ocaml-community/yojson
 Vcs-Git: https://salsa.debian.org/ocaml-team/yojson.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/yojson
